# Convolution-Filter
![overview.png](https://git.teridax.de/teridax/Shadertoy-Shaders/raw/branch/main/Image-Filtering/Convolution-Filter/overview.png)

Convolution filter are filters that take a kernel and sum up every pixel and multiply that pixel with the corresponding element of the kernel.
Note that blur filter are technically convolution filters as well despite them not being listed here.

This file contains example implemntations of the following convolution filters:
- Median Filter
- Unsharp mask
- Laplace (sharpen)
- Emboss (omni-directional)
- Sobel-Feldmann
- Edge Detection